package com.mortals.xhx.modules.call.web;

import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.modules.call.model.CallRecordEntity;
import com.mortals.xhx.modules.call.model.CallRecordQuery;

/**
* <p>Title: 接口调用记录</p>
* <p>Description: CallRecordForm  </p>
* @author
* @version 1.0.0
*/
public class CallRecordForm extends BaseCRUDFormLong<CallRecordEntity> {
    private CallRecordEntity callrecord = new CallRecordEntity();
    private CallRecordQuery query = new CallRecordQuery();
    public CallRecordForm(){

    }

    @Override
    public CallRecordEntity getEntity() {
    return callrecord;
    }
    public CallRecordEntity getCallRecord() {
    return callrecord;
    }

    public void setCallRecord(CallRecordEntity callrecord) {
    this.callrecord = callrecord;
    }

    @Override
    public CallRecordQuery getQuery() {
    return query;
    }

    public void setQuery(CallRecordQuery query) {
    this.query = query;
    }
}